/* БЛОК ЯКОРНОЙ НАВИГАЦИИ (WHITE) */
.yakor-white {
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif !important;
    letter-spacing: normal; 
    background-color: #ffffff; /* Фон блока теперь синий */
    position: sticky;
    top: 50px; 
    z-index: 20000 !important; 
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.08);
    height: 50px; 
    /*border-bottom: 1px solid #ffffff; *//* Линия внизу теперь белая */
    box-sizing: border-box;
    /*box-shadow: 0 4px 6px -4px rgba(0, 0, 0, 0.12);*/
    font-size:20;
}

.yakor-white__container {
    height: 100%;
    display: flex;
    align-items: center; 
    /* 0 - нет смещения по горизонтали */
    /* 4px - смещение строго вниз */
    /* 6px - радиус размытия (чем меньше, тем тоньше и четче линия) */
    /* -4px - радиус распространения (сжимает тень по бокам, чтобы она не вылезала слева и справа) */

}

.yakor-white__block {
    display: flex;
    justify-content: space-between;
    gap: 6px;
    width: 100%;
}

/* ОБЫЧНАЯ ПЛАШКА: Синий фон, Белый текст, Белая рамка */
.yakor-white__item,
.yakor-white__item_desk-white,
.yakor-white__item_mob-white {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-grow: 1;
    height: 40px; 
    padding: 0 10px;
    
    font-weight: 400; 
    font-size: 17px;
    line-height: 1;
    text-decoration: none;
    text-align: center;
    color: #1a1a1a !important; /* Текст белый */
    border: 1px solid #1a1a1a; /* Рамка белая */
    background-color: #ffffff; /* Фон синий */
    transition: all 0.2s ease;
    white-space: nowrap;
    box-sizing: border-box;
}

/* ВЫДЕЛЕННАЯ ПЛАШКА (Active / Hover): Белый фон, Синий текст */
.yakor-white__item:hover,
.yakor-white__item--active,
.yakor-white__item_desk-white:hover,
.yakor-white__item_desk-white--active,
.yakor-white__item_mob-white:hover,
.yakor-white__item_mob-white--active {
    background-color: #282e6a !important; /* Фон белый */
    color: #ffffff !important; /* Текст синий */
    border-color: #1a1a1a;
}

/* МОБИЛЬНАЯ ВЕРСИЯ */
@media (max-width: 1023px) {
    .yakor-white {
        top: 0;
        height: 40px; 
    }

    .yakor-white__block {
        flex-wrap: nowrap;
        overflow-x: auto;
        -ms-overflow-style: none;
        scrollbar-width: none; 
        gap: 4px; 
    }
    
    .yakor-white__block::-webkit-scrollbar {
        display: none;
    }

    .yakor-white__item,
    .yakor-white__item_mob-white {
        flex: 0 0 auto; 
        height: 32px;    
        padding: 0 12px; 
        font-size: 13px; 
    }
    
    /* Логика отображения на мобильных */
    .yakor-white__item_desk-white {
        display: none;
    }
    .yakor-white__item_mob-white {
        display: flex;
    }
}

/* Логика отображения на десктопе */
@media (min-width: 1024px) {
    .yakor-white__item_mob-white {
        display: none;
    }
    .yakor-white__item_desk-white {
        display: flex;
    }
}
